#
# spec file for package digikam (Version 0.8.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           digikam
BuildRequires:  giflib-devel imlib2-devel kdelibs3-devel kdesdk3-translate libgphoto2 libkexif libkipi-devel sqlite-devel sqlite2-devel libtiff-devel libkipi libtiff update-desktop-files
License:        GPL
Group:          Hardware/Other
Summary:        A KDE Photo Manager
Version:        0.8.1
Release:        22.6
%define rversion %version
URL:            http://www.digikam.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{rversion}.tar.bz2
Source1:        service.desktop
Patch0:         digkam_stable.diff
Patch1:         external-sqlite.diff
Patch3:         silence.diff
Patch4:         digikam-gphoto-disk.patch
Patch5:         digikam-load.diff
Patch6:         fix-ppc.diff
Patch7:         digikam-print.diff
Requires:       imlib2-loaders

%description
digiKam is a simple digital photo management application for KDE, which
makes importing and organizing digital photos easy. The photos can be
organized in albums, which can be sorted chronologically, by directory
layout, or by custom collections. An easy-to-use interface is provided
that enables you to connect to your camera and preview, download, and
delete your images.



Authors:
--------
    Renchi Raju <renchi@green.tam.uiuc.edu>

%prep 
%setup -q -n %name-%rversion
%patch0
%if %suse_version > 900
rm -rf digikam/sqlite
%patch1
%endif
%patch3
%patch4 -p1
%patch5 -p0
%patch6
%patch7 -p0
. /etc/opt/kde3/common_options
update_admin --no-unsermake

%build
. /etc/opt/kde3/common_options
export PKG_CONFIG_PATH=/opt/kde3/%_lib/pkgconfig
./configure $configkde --disable-final
make VERBOSE=1 %{?jobs:-j%jobs}

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
kde_post_install
%suse_update_desktop_file digikam  Graphics Photography
%if %suse_version < 1010
%suse_update_desktop_file showfoto  Graphics Viewer
%endif
rm $RPM_BUILD_ROOT/opt/kde3/share/mimelnk/image/x-raw.desktop
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/apps/konqueror/servicemenus
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/opt/kde3/share/apps/konqueror/servicemenus/open_in_digikam.desktop
%suse_update_desktop_file $RPM_BUILD_ROOT/opt/kde3/share/apps/konqueror/servicemenus/open_in_digikam.desktop
%find_lang %name

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
/opt/kde3/bin/*
/opt/kde3/%_lib/*
/opt/kde3/share/appl*/*/*.desktop
/opt/kde3/share/apps/*
/opt/kde3/share/icons/*
/opt/kde3/include/digikam
/opt/kde3/include/digikam_export.h
/opt/kde3/share/services/*
/opt/kde3/share/servicetypes/digikamimageplugin.desktop
%dir /opt/kde3/share/doc/HTML/en/digikam-0.8.1-apidocs

%changelog -n digikam
* Wed Mar 22 2006 - stbinner@suse.de
- no x-raw.desktop in PLUS, is now contained in kdelibs 3.5.2
* Tue Feb 28 2006 - coolo@suse.de
- fix the print of filename (as indicated by compiler warning and
  [#153544])
* Mon Feb 13 2006 - stbinner@suse.de
- add upstream patch to fix problems on ppc (KDE #121646)
* Mon Feb 06 2006 - stbinner@suse.de
- fix build
* Mon Feb 06 2006 - coolo@suse.de
- grap fix from KDE SVN to fix severe problem with search for images
  (KDE bugs 120479 and 120775)
* Tue Jan 31 2006 - coolo@suse.de
- fix gphoto2 cameras
* Thu Jan 26 2006 - meissner@suse.de
- Upgraded to 0.8.1.
- image rating
- 8 bit raw support added
- copy & paste support (between albums or between digikam + konqi)
- new dcop interface to control opening the camera dialog
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - coolo@suse.de
- give digikam as option in the media popup
* Wed Dec 21 2005 - dmueller@suse.de
- fix file list
* Mon Nov 28 2005 - stbinner@suse.de
- update to version 0.8
* Sat Nov 19 2005 - stbinner@suse.de
- keep old xdg menu category for build on older distribution
* Thu Nov 17 2005 - stbinner@suse.de
- fix build on 9.1 and 9.2
* Thu Sep 29 2005 - stbinner@suse.de
- fix "Photograph" to correct "Photography" xdg menu category
* Fri Aug 19 2005 - adrian@suse.de
- update to version 0.7.4
  * translation updates
* Fri Aug 19 2005 - coolo@suse.de
- fix file list for icons
* Wed Aug 17 2005 - meissner@suse.de
- do not overwrite ports with "usb:" everytime.
* Sat Jul 23 2005 - dmueller@suse.de
- fix filelist
* Thu Jul 21 2005 - dmueller@suse.de
- 0.7.3 final update
- removed -fvisibility=hidden support as it exposes a compiler bug
  on x86_64 and ppc64
* Mon May 23 2005 - adrian@suse.de
- update to version 0.7.3 beta 2
* Mon Mar 14 2005 - adrian@suse.de
- fix build for 9.2 distribution
* Sat Mar 05 2005 - adrian@suse.de
- fix build
* Thu Mar 03 2005 - adrian@suse.de
- update to version 0.7.2 final
- hide showfoto dialog for now, we use gwenview as default picture
  viewer
* Fri Feb 11 2005 - adrian@suse.de
- remove some debug output
* Wed Feb 09 2005 - adrian@suse.de
- update to version 0.7.2beta1
* Tue Jan 04 2005 - adrian@suse.de
- update to version 0.7.1
* Mon Nov 29 2004 - adrian@suse.de
- use sqlite2 compat packages
* Wed Nov 17 2004 - adrian@suse.de
- use the new native digikam icon again
* Mon Nov 15 2004 - adrian@suse.de
- use internal sqlite for < SuSE 9.1
* Mon Nov 08 2004 - adrian@suse.de
- update to version 0.7 final
* Sun Oct 24 2004 - adrian@suse.de
- add libkipi-devel to nfb
* Wed Oct 20 2004 - adrian@suse.de
- update to version 0.7 beta 1
* Mon Sep 27 2004 - adrian@suse.de
- add Requires: imlib2-loaders or the editor is unable to load a
  picture (#46002)
* Mon Sep 20 2004 - adrian@suse.de
- update to current cvs
- use the core camera icon, it does fit better to crystal icons
* Fri Sep 10 2004 - adrian@suse.de
- update to current cvs
* Thu Jul 29 2004 - adrian@suse.de
- update to current snapshot (pre-0.7 version)
  * enable kipi support
- patch to use external sqlite lib
* Mon Jun 21 2004 - adrian@suse.de
- update to version 0.6.2
* Wed Jun 16 2004 - adrian@suse.de
- add requires to dcraw for > 9.1
  A plugin needs it.
* Wed Apr 21 2004 - coolo@suse.de
- build everything without unsermake
* Sat Apr 17 2004 - coolo@suse.de
- return in non-void function
* Thu Apr 15 2004 - coolo@suse.de
- build without unsermake
* Thu Apr 08 2004 - adrian@suse.de
- fix path to k3b
- remove mpeg plugin, we miss the tools anyway
* Sun Apr 04 2004 - adrian@suse.de
- add patch by Andi Kleen to create a "Pictures" directory,
  instead of confusing the user.
* Thu Apr 01 2004 - coolo@suse.de
- readding icons (#37369)
* Mon Mar 22 2004 - adrian@suse.de
- fixing german translation (#36674)
* Sun Feb 29 2004 - ro@suse.de
- different approach to remove buildroot traces
* Tue Feb 17 2004 - adrian@suse.de
- fix Categories
* Tue Feb 10 2004 - adrian@suse.de
- update to version 0.6 final
* Tue Feb 03 2004 - adrian@suse.de
- fix build
* Mon Feb 02 2004 - adrian@suse.de
- update to version 0.6.0rc2
- add digikamplugins to package
* Tue Jan 13 2004 - coolo@suse.de
- fixing Makefile problems
* Tue Dec 30 2003 - adrian@suse.de
- install default icons in crystalsvg
* Wed Oct 15 2003 - meissner@suse.de
- Upgraded to current 0.6.0 CVS, "all known bugs fixed" [tm]
- Do not build as root.
* Tue Sep 23 2003 - meissner@suse.de
- fixed crash on corrupt JPEG, #31180.
* Thu Sep 18 2003 - varkoly@suse.de
- update hungarian translation
* Tue Sep 16 2003 - adrian@suse.de
- update czech translation
* Tue Sep 09 2003 - adrian@suse.de
- add hungarian translation from Peter Varkoly
* Mon Sep 08 2003 - adrian@suse.de
- use a nicer icon
* Wed Aug 13 2003 - adrian@suse.de
- add czech translation from Klara Cihlarova
* Mon Jul 28 2003 - adrian@suse.de
- add %%run_ldconfig
* Mon Jul 28 2003 - adrian@suse.de
- Add Categories
* Thu Jun 12 2003 - coolo@suse.de
- use find_lang
- package icons directories too
- use $INSTALL_TARGET
* Mon Jun 02 2003 - meissner@suse.de
- Upgraded to pre 0.6, packaged the rest of the files,
  adapted neededforbuild.
* Thu Sep 19 2002 - adrian@suse.de
- enable the build again and update to 0.5.1 (KDE 3 port)
* Tue Feb 26 2002 - ro@suse.de
- added libexif to neededforbuild
* Mon Feb 04 2002 - ro@suse.de
- try forward port to current gphoto2
* Sat Jan 19 2002 - adrian@suse.de
- update to version 0.4
* Sat Jan 05 2002 - adrian@suse.de
- update to final 0.3
* Wed Jan 02 2002 - adrian@suse.de
- update to version 0.3_beta1
* Sat Dec 29 2001 - adrian@suse.de
- initial packaging
